require 'yaml'
require 'pathname'

module Jarl
  class Config
    attr_reader :path, :params

    def initialize(path)
      @path = Pathname.new(path).expand_path
      load
    end

    def [](key)
      @params[key]
    end

    private

    def load
      @params = YAML.load File.read(path)
    end
  end # class Config
end # module Jarl
